> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hybridbox.io/llms.txt
> Use this file to discover all available pages before exploring further.

# البحث عن مستخدمي مصادقة الحساب

> يبحث عن المستخدمين المرئيين ضمن نطاق تفويض الحساب.

<script src="/locale-bridge.js" />


## OpenAPI

````yaml /openapi.ar.json GET /v1/public/accounts/{account_id}/auth/users
openapi: 3.1.0
info:
  title: Code API (Public)
  version: 1.0.0
servers:
  - url: https://api.hybridbox.io
security: []
paths:
  /v1/public/accounts/{account_id}/auth/users:
    get:
      tags:
        - public-accounts
        - public-account-auth
      summary: البحث عن مستخدمي مصادقة الحساب
      description: يبحث عن المستخدمين المرئيين ضمن نطاق تفويض الحساب.
      operationId: >-
        search_public_account_auth_users_v1_public_accounts__account_id__auth_users_get
      parameters:
        - in: path
          name: account_id
          required: true
          schema:
            format: uuid
            title: Account Id
            type: string
        - in: query
          name: search
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - in: query
          name: limit
          required: false
          schema:
            default: 25
            title: Limit
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/GroupMemberUserResponse'
                title: >-
                  Response Search Public Account Auth Users V1 Public Accounts 
                  Account Id  Auth Users Get
                type: array
          description: ''
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: خطأ في التحقق
      security:
        - PublicBearerAuth: []
components:
  schemas:
    GroupMemberUserResponse:
      properties:
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: البريد الإلكتروني
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: الاسم الأول
        id:
          title: المعرّف
          type: string
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: اسم العائلة
        username:
          anyOf:
            - type: string
            - type: 'null'
          title: اسم المستخدم
      required:
        - id
      title: GroupMemberUserResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: التفاصيل
          type: array
      title: HTTPخطأ تحقق
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: الموقع
          type: array
        msg:
          title: الرسالة
          type: string
        type:
          title: نوع الخطأ
          type: string
      required:
        - loc
        - msg
        - type
      title: خطأ تحقق
      type: object
  securitySchemes:
    PublicBearerAuth:
      bearerFormat: JWT or Hybridbox Service account token
      description: >-
        Public API bearer credential sent as `Authorization: Bearer <token>`.
        Use either an OAuth access token or a Hybridbox Service account token.
      scheme: bearer
      type: http

````